#ifndef INTERFACE_HPP
#define INTERFACE_HPP

#include "sort_controller.hpp"
#include <string>
#include <vector>

class Interface
{
public:
    SortController benchmark;
    Interface(void);
    void CheckArguments(int argc, char* arguments[]);
    void Construction(void);
    bool IsBST(void);
    bool IsOnlySorting(void);
    void Sort(void);
    bool UserInput(void);
    void BSTRequestExecution(void);
    void RBTRequestExecution(void);
protected:
    ;
private:
    int userInput;
    std::string givenWord;
    SortType currentType;
    bool allLists, sortGiven;
    void CheckRequirements(void);
    void PrintHelp(void);
    void PrintOptions(void);
};

#endif