#include "interface.hpp"

int main(int argc, char* argv[])
{
    Interface session;
    session.CheckArguments(argc, argv);
    session.Construction();
    if (session.IsOnlySorting())
    {
        session.Sort();
        return 0;
    }
    while (session.UserInput())
    {
        if (session.IsBST())
            session.BSTRequestExecution();
        else
            session.RBTRequestExecution();
    }
    return 0;
}
